Bug 1002592 - sssd-ad unable to resolve names in other domains possibly UPN related
sssd-ad unable to resolve names in other domains possibly UPN related
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 09:49 EDT by Dmitri Pal
Modified: 2014-06-18 00:03 EDT (History)
6 users (show)

See Also:
Fixed In Version: sssd-1.11.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2013-08-29 09:49:04 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2063

Ticket was cloned from Red Hat Bugzilla (product ''Fedora''): [https://bugzilla.redhat.com/show_bug.cgi?id=1001318 Bug 1001318]

{{{
Description of problem:
When using the sssd-ad provider we are unable to resolve names in other
domains. This is possibly related to our use of UPN logins (as again we presume
this works for other people and the only real thing we think is different on
our network but could be anything).

Version-Release number of selected component (if applicable):
sssd-1.11.0-0.1.beta2.fc19.x86_64

How reproducible:
Every time

Steps to Reproduce:
1.getent passwd corp\\prodbuild


Actual results:
Returns nothing

Expected results:
Should return the RFC2307 user information for this user in the other domain

Additional info:

Logs seem to indicate that sssd seems to think the domain is offline even
though it isn't.

(Mon Aug 26 19:12:22 2013) [sssd[nss]] [sss_dp_issue_request] (0x0400): Issuing
request for [0x7f25c4fa9c90:1:prodbuild@corp.iongeo.lan]
(Mon Aug 26 19:12:22 2013) [sssd[nss]] [sss_dp_get_account_msg] (0x0400):
Creating request for [corp.iongeo.lan][4097][1][name=prodbuild]
(Mon Aug 26 19:12:22 2013) [sssd[nss]] [sbus_add_timeout] (0x2000):
0x7f25c6aefa60
(Mon Aug 26 19:12:22 2013) [sssd[nss]] [sss_dp_internal_get_send] (0x0400):
Entering request [0x7f25c4fa9c90:1:prodbuild@corp.iongeo.lan]
(Mon Aug 26 19:12:22 2013) [sssd[nss]] [sbus_remove_timeout] (0x2000):
0x7f25c6aefa60
(Mon Aug 26 19:12:22 2013) [sssd[nss]] [sbus_dispatch] (0x4000): dbus conn:
7F25C6AE5BA0
(Mon Aug 26 19:12:22 2013) [sssd[nss]] [sbus_dispatch] (0x4000): Dispatching.
(Mon Aug 26 19:12:22 2013) [sssd[nss]] [sss_dp_get_reply] (0x1000): Got reply
from Data Provider - DP error code: 1 errno: 11 error message: Fast reply -
offline
(Mon Aug 26 19:12:22 2013) [sssd[nss]] [nss_cmd_getby_dp_callback] (0x0040):
Unable to get information from Data Provider
Error: 1, 11, Fast reply - offline
Will try to return what we have in cache
(Mon Aug 26 19:12:22 2013) [sssd[nss]] [sss_dp_req_destructor] (0x0400):
Deleting request: [0x7f25c4fa9c90:1:prodbuild@corp.iongeo.lan]
}}}
Comment 2 Jakub Hrozek 2013-09-05 05:35:07 EDT
Fixed upstream.
Comment 4 Jakub Hrozek 2013-10-04 09:25:08 EDT
Temporarily moving bugs to MODIFIED to work around errata tool bug
Comment 6 Kaushik Banerjee 2014-01-15 13:31:47 EST
Verified in version 1.11.2-24.el7

Output from beaker automation run:

user1_dom1@sssdad.com:*:770843940:770800513:user1_dom1:/:
:: [   PASS   ] :: Running 'getent passwd SSSDAD\\user1_dom1' (Expected 0, got 0)
user1_dom2@sssdad_tree.com:*:295201366:295201366:user1_dom2:/:
:: [   PASS   ] :: Running 'getent passwd SSSDAD_TREE\\user1_dom2' (Expected 0, got 0)
user1_dom3@child1.sssdad.com:*:1290801365:1290801365:user1_dom3:/:
:: [   PASS   ] :: Running 'getent passwd CHILD1\\user1_dom3' (Expected 0, got 0)
Comment 7 Ludek Smid 2014-06-13 05:59:44 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.